<div class="pal_new">
		<h2>Edit Job</h2>
		<div class="pal_br_add">
		<a href="/users/job" class="btn btn-success btn-lg">Back</a>
		</div>
		<form method="post" action="/users/job_edit" onsubmit="return validation();">
			
			<div class="col-lg-12">
			{{#each items as |item|}}
				<div class="col-md-6 form-group">
					<label>Brand Name<span class="required">*</span></label>
						<select class="form-control" name="brand_name" id="brand_name" onChange="sel(this.value);">
							<option value="">--Select Brand--</option>
							{{#each ../selcs as |sel|}}
								{{#if (ifCond sel.id item.brand_id) }}
								<option value="{{sel.id}}" selected>{{sel.brand_name}}</option>
								{{else}}
								<option value="{{sel.id}}">{{sel.brand_name}}</option>
								{{/if}}
							{{/each}}
						</select>
				</div>
				
				<div class="col-md-6 form-group">
					<label>Brand Type<span class="required">*</span></label>
						<select class="form-control" name="brand_type" id="brand_type" onChange="sel_typ(this.value);">
							<option value="">--Select Brand--</option>
							{{#each ../btyp as |bty|}}
								{{#if (ifCond bty.id item.brand_type_id) }}
								<option value="{{bty.id}}" selected>{{bty.brand_type}}</option>
								{{else}}
								<option value="{{bty.id}}">{{bty.brand_type}}</option>
								{{/if}}
							{{/each}}
						</select>
				</div>
			
				<div class="col-md-6 form-group">
					<label>Work Name<span class="required">*</span></label>
						<select class="form-control" name="work_name" id="work_name">
							<option value="">--Select Brand--</option>
							{{#each ../wrk_nm as |wrk|}}
								{{#if (ifCond wrk.id item.work_id) }}
								<option value="{{wrk.id}}" selected>{{wrk.work_name}}</option>
								{{else}}
								<option value="{{wrk.id}}">{{wrk.work_name}}</option>
								{{/if}}
							{{/each}}
							
						</select>
				</div>
			
				<div class="col-md-6 form-group">
					<label>Job Name<span class="required">*</span></label>
						<input type="text" class="form-control" name ="job_name" id="job_name" placeholder = "Job Name" value="{{item.job_name}}"/>
				</div>
				<input type="hidden" value="{{item.id}}" name="bid" />
			{{/each}}
			<button type="submit" class="btn btn-primary">Update</button>
			</div>
		</form>
		</div>
		<script>
			function sel(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						$('#brand_type').html(data);
                      }
                  });
			}
			
			function sel_typ(str){
			
					var brand_id = $('#brand_name').val();
				   $.ajax({
                    type: 'POST',
                    data: {brand_type: str,brand_id: brand_id},

                      url: '/users/gettype',
                      success: function(data) {
						$('#work_name').html(data);
                      }
                  });
			}
			
		</script>
		<script>
			function validation(){
				var brand_name = $('#brand_name').val();
				var brand_type = $('#brand_type').val();
				var work_name = $('#work_name').val();
				var job_name = $('#job_name').val();
				
				if(brand_name == ""){
					swal('Select Brand Name');
					return false;
				}else if(brand_type == ""){
					swal('Select Brand Type');
					return false;
				}else if(work_name == ""){
					swal('Select Work Name');
					return false;
				}else if(job_name == ""){
					swal('Enter Job Name');
					return false;
				}
			}
		</script>
